/**
 * @file log_ahw.h
 *
 * @brief This file contains logger enumeration values for the module AHW
 *
 *  This is a template file to be followed to include new modules in logger software component
 *
 */


/* Note: header guard format should not be changed;
 * valid way to represent header guard should be "_LOG_<your module name>_H_" example: _LOG_ADCS_H_
 * */
#ifndef _LOG_AHW_H_
#define _LOG_AHW_H_




/* User has to update enumeration member list */
#define AHW_FOREACH_LOG(AHW_LOG_NAME) 				\
        AHW_LOG_NAME(AHW_AL_ADS_GET_DATA_SCS_INST_ID__eq__u32_)   						\
        AHW_LOG_NAME(AHW_AL_ADS_GET_DATA_ERR_INST_ID__eq__u32_)  						\
        AHW_LOG_NAME(AHW_AL_EXT_MEM_ENABLE_MEMORY_MAP_ERR_INST_ID__eq__u8_)          \
		AHW_LOG_NAME(AHW_AL_EXT_MEM_ERASE_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_EXT_MEM_READ_ERR_INST_ID__eq__u8_)                      \
		AHW_LOG_NAME(AHW_AL_EXT_MEM_ERASE_AND_WRITE_ERR_INST_ID__eq__u8_)                   \
		AHW_LOG_NAME(AHW_AL_EXT_MEM_WRITE_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_HSC_READ_VOLTAGE_ERR_INST_ID__eq__u32_)                      \
		AHW_LOG_NAME(AHW_AL_HSC_READ_CURRENT_ERR_INST_ID__eq__u32_)                      \
		AHW_LOG_NAME(AHW_AL_HSC_GET_HOTSWAP_ERR_INST_ID__eq__u32_)                           \
		AHW_LOG_NAME(AHW_AL_HSC_HOTSWAP_CONTROL_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_HSC_GET_OVERCURRENT_STS_ERR_INST_ID__eq__u32_)                  \
		AHW_LOG_NAME(AHW_AL_DT_SET_TEMPERATURE_HIGH_THRESHOLD_ERR_INST_ID__eq__u32_)           \
		AHW_LOG_NAME(AHW_AL_DT_SET_TEMPERATURE_LOW_THRESHOLD_ERR_INST_ID__eq__u32_)               \
		AHW_LOG_NAME(AHW_AL_DT_GET_TEMPERATURE_ERR_INST_ID__eq__u32_)                   \
		AHW_LOG_NAME(AHW_AL_DT_CONFIG_ERR_INST_ID__eq__u32_)                            \
		AHW_LOG_NAME(AHW_AL_DT_SET_RESOLUTION_ERR_INST_ID__eq__u32_)                         \
		AHW_LOG_NAME(AHW_AL_DT_GET_RESOLUTION_ERR_INST_ID__eq__u32_)                         \
		AHW_LOG_NAME(AHW_AL_DT_SET_CONVMODE_ERR_INST_ID__eq__u32_)                            \
		AHW_LOG_NAME(AHW_AL_DT_SET_PO_LVL_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_DT_RESET_ERR_INST_ID__eq__u32_)                                    \
		AHW_LOG_NAME(AHW_AL_DT_START_CONVERSION_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_DT_STOP_CONVERSION_ERR_INST_ID__eq__u32_)                          \
		AHW_LOG_NAME(AHW_AL_DT_GET_PO_LVL_ERR_INST_ID__eq__u32_)                                 \
		AHW_LOG_NAME(AHW_AL_DT_GET_MODE_ERR_INST_ID__eq__u32_)                                \
		AHW_LOG_NAME(AHW_AL_DT_GET_TEMPERATURE_LOW_THRSHD_ERR_INST_ID__eq__u32_)                   \
		AHW_LOG_NAME(AHW_AL_DT_GET_TEMPERATURE_HIGH_THRSHD_ERR_INST_ID__eq__u32_)              \
		AHW_LOG_NAME(AHW_AL_DT_RESET_ALERT_FLAG_ERR_INST_ID__eq__u32_)                       \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_READPIN_ERR_INST_ID__eq__u32_)                        \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_WRITEPIN_ERR_INST_ID__eq__u32_)                           \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_TOGGLEPIN_ERR_INST_ID__eq__u32_)                              \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_SET_DIR_ERR_INST_ID__eq__u32_)                               \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_SET_STRENGTH_ERR_INST_ID__eq__u32_)                              \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_SET_POL_INV_ERR_INST_ID__eq__u32_)                               \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_SET_INPUT_LAT_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_ENABLE_PULL_ERR_INST_ID__eq__u32_)                              \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_SET_PULL_UP_DWN_ERR_INST_ID__eq__u32_)                         \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_SET_INTR_MSK_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_READ_INTR_STS_ERR_INST_ID__eq__u32_)                            \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_SET_PORT_CFG_ERR_INST_ID__eq__u32_)                          \
		AHW_LOG_NAME(AHW_AL_PSM_READ_ID_ERR_INST_ID__eq__u32_)                                \
		AHW_LOG_NAME(AHW_AL_PSM_SET_CALIBRATION_ERR_INST_ID__eq__u32_)                           \
		AHW_LOG_NAME(AHW_AL_PSM_ALERT_PINCONFIG_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_PSM_SET_ALERTFUNCTION_ERR_INST_ID__eq__u32_)                              \
		AHW_LOG_NAME(AHW_AL_PSM_GET_ALERTFUNCTION_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_PSM_SETVBUSTHRESHOLD_ERR_INST_ID__eq__u32_)                           \
		AHW_LOG_NAME(AHW_AL_PSM_GETVBUSTHRESHOLD_ERR_INST_ID__eq__u32_)                        \
		AHW_LOG_NAME(AHW_AL_PSM_SETVHUNTTHRESHOLD_ERR_INST_ID__eq__u32_)                            \
		AHW_LOG_NAME(AHW_AL_PSM_GETVHUNTTHRESHOLD_ERR_INST_ID__eq__u32_)                            \
		AHW_LOG_NAME(AHW_AL_PSM_SET_CURRENT_THRESHOLD_ERR_INST_ID__eq__u32_)                         \
		AHW_LOG_NAME(AHW_AL_PSM_SETPOWERTHRESHOLD_ERR_INST_ID__eq__u32_)                                \
		AHW_LOG_NAME(AHW_AL_PSM_GETPOWERTHRESHOLD_ERR_INST_ID__eq__u32_)                               \
		AHW_LOG_NAME(AHW_AL_PSM_STARTCONVERSION_ERR_INST_ID__eq__u32_)                                 \
		AHW_LOG_NAME(AHW_AL_PSM_STOPCONVERSION_ERR_INST_ID__eq__u32_)                                 \
		AHW_LOG_NAME(AHW_AL_PSM_GET_FLAG_ERR_INST_ID__eq__u32_)                                        \
		AHW_LOG_NAME(AHW_AL_TS_GET_EVNT_STS_ERR_INST_ID__eq__u32_)                          \
		AHW_LOG_NAME(AHW_AL_TS_CONFIG_ERR_INST_ID__eq__u32_)                                  \
		AHW_LOG_NAME(AHW_AL_TS_SET_MODE_ERR_INST_ID__eq__u32_)                            \
		AHW_LOG_NAME(AHW_AL_TS_INTRUPT_CLEAR_ERR_INST_ID__eq__u32_)                              \
		AHW_LOG_NAME(AHW_AL_TS_SET_EVENT_OUTPUT_MODE_ERR_INST_ID__eq__u32_)                  \
		AHW_LOG_NAME(AHW_AL_TS_SET_EVENT_POLARITY_ERR_INST_ID__eq__u32_)                      \
		AHW_LOG_NAME(AHW_AL_TS_SET_WIN_LOCKBIT_ERR_INST_ID__eq__u32_)                          \
		AHW_LOG_NAME(AHW_AL_TS_SET_CRIT_LOCKBIT_ERR_INST_ID__eq__u32_)                           \
		AHW_LOG_NAME(AHW_AL_TS_SET_TEMP_HIGH_THRESHOLD_ERR_INST_ID__eq__u32_)              \
		AHW_LOG_NAME(AHW_AL_TS_SET_TEMP_LOW_THRESHOLD_ERR_INST_ID__eq__u32_)               \
		AHW_LOG_NAME(AHW_AL_TS_SET_TEMP_CRITICAL_THRESHOLD_ERR_INST_ID__eq__u32_)            \
		AHW_LOG_NAME(AHW_AL_TS_SET_HYSTERESIS_ERR_INST_ID__eq__u32_)                   \
		AHW_LOG_NAME(AHW_AL_TS_GET_HYSTERESIS_ERR_INST_ID__eq__u32_)                     \
		AHW_LOG_NAME(AHW_AL_TS_SET_RESOLUTION_ERR_INST_ID__eq__u32_)                    \
		AHW_LOG_NAME(AHW_AL_TS_GET_RESOLUTION_ERR_INST_ID__eq__u32_)                        \
		AHW_LOG_NAME(AHW_AL_TS_GETTEMPERATURE_ERR_INST_ID__eq__u32_)                     \
		AHW_LOG_NAME(AHW_AL_TS_GET_FAHRENHEIT_ERR_INST_ID__eq__u32_)                       \
		AHW_LOG_NAME(AHW_AL_TS_READ_MANUFACTURE_ID_ERR_INST_ID__eq__u32_)                 \
		AHW_LOG_NAME(AHW_AL_VSM_RAIL_CONFIG_ERR_INST_ID__eq__u32_)                                 \
		AHW_LOG_NAME(AHW_AL_VSM_SET_UNDERVOLTAGE_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_VSM_SET_OVERVOLTAGE_THRSLD_ERR_INST_ID__eq__u32_)                         \
		AHW_LOG_NAME(AHW_AL_VSM_SET_ENABLE_POLARITY_ERR_INST_ID__eq__u32_)                       \
		AHW_LOG_NAME(AHW_AL_VSM_SET_UNSEQUENCE_TIME_ERR_INST_ID__eq__u32_)                          \
		AHW_LOG_NAME(AHW_AL_VSM_SET_OUT_OF_REG_WIDTH_ERR_INST_ID__eq__u32_)                         \
		AHW_LOG_NAME(AHW_AL_VSM_SET_RAMP_TIME_ERR_INST_ID__eq__u32_)                                \
		AHW_LOG_NAME(AHW_AL_VSM_FORCE_RESTART_ERR_INST_ID__eq__u32_)                                 \
		AHW_LOG_NAME(AHW_AL_VSM_RESTART_ERR_INST_ID__eq__u32_)                                        \
		AHW_LOG_NAME(AHW_AL_VSM_GET_FW_VERSION_ERR_INST_ID__eq__u32_)                                \
		AHW_LOG_NAME(AHW_AL_VSM_GET_VOLTAGE_ERR_INST_ID__eq__u32_)                                      \
		AHW_LOG_NAME(AHW_AL_VSM_GET_ALRM_PNDNG_STS_ERR_INST_ID__eq__u32_)                             \
		AHW_LOG_NAME(AHW_AL_VSM_SET_SEQ_TYPE_STS_ERR_INST_ID__eq__u32_)                                \
		AHW_LOG_NAME(AHW_AL_VSM_SET_SEQ_DELAY_STS_ERR_INST_ID__eq__u32_)                                \
		AHW_LOG_NAME(AHW_AL_VSM_SET_SEQ_PRNT_VLTG_LVL_ERR_INST_ID__eq__u32_)                            \
		AHW_LOG_NAME(AHW_AL_VSM_SET_SEQ_PRNT_RAIL_ERR_INST_ID__eq__u32_)                            \
		AHW_LOG_NAME(AHW_AL_VSM_VREF_CFG_ERR_INST_ID__eq__u32_)                                     \
		AHW_LOG_NAME(AHW_AL_VSM_GLITCH_ALRM_CFG_ERR_INST_ID__eq__u32_)                              \
		AHW_LOG_NAME(AHW_AL_VSM_SET_RAIL_ALRM_TYP_ERR_INST_ID__eq__u32_)                             \
        AHW_LOG_NAME(AHW_AL_THRUSTER_UNIT_SET_FRC_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_THRUSTER_RESET_ERR_INST_ID__eq__u8_)                                       \
		AHW_LOG_NAME(AHW_AL_THRUSTER_BOOT_ERR_INST_ID__eq__u8_)                                         \
		AHW_LOG_NAME(AHW_AL_THRUSTER_UNIT_SET_PWR_ON_OFF_ERR_INST_ID__eq__u8_)                         \
		AHW_LOG_NAME(AHW_AL_THRUSTER_UNIT_SET_MODE_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_SET_MODE_ERR_INST_ID__eq__u8_)                                     \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_MODE_ERR_INST_ID__eq__u8_)                                   \
		AHW_LOG_NAME(AHW_AL_THRUSTER_UNIT_GET_MODE_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_SYS_STS_ERR_INST_ID__eq__u8_)                                 \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_SYS_SRL_NUM_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_HOUSEKEEPING1_DATA_ERR_INST_ID__eq__u8_)                        \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_HOUSEKEEPING2_DATA_ERR_INST_ID__eq__u8_)                     \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_HOUSEKEEPING3_DATA_ERR_INST_ID__eq__u8_)                        \
		AHW_LOG_NAME(AHW_AL_THRUSTER_UNIT_GET_PWR_ON_OFF_ERR_INST_ID__eq__u8_)                            \
		AHW_LOG_NAME(AHW_AL_THRUSTER_UNIT_GET_FRC_ERR_INST_ID__eq__u8_)                                \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_MST_TIME_ERR_INST_ID__eq__u8_)                                \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_BCKPLANE_TEMP_ERR_INST_ID__eq__u8_)                             \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_BCKPLANE_TOT_FRC_ERR_INST_ID__eq__u8_)                       \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_TOT_AZIMTH_ANG_ERR_INST_ID__eq__u8_)                          \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_TOT_POLAR_ANG_ERR_INST_ID__eq__u8_)                             \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_TOT_PWR_CNSP_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_UNREG_VOL_ERR_INST_ID__eq__u8_)                                \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_REMN_PRPLT_ERR_INST_ID__eq__u8_)                           \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_UNIT_POLAR_ANG_ERR_INST_ID__eq__u8_)                         \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_UNIT_AZIMTH_ANG_ERR_INST_ID__eq__u8_)                        \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_UNIT_PWR_ERR_INST_ID__eq__u8_)                                   \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_RST_STS_ERR_INST_ID__eq__u8_)                                  \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_TOT_PWR_ERR_INST_ID__eq__u8_)                                   \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_UNREG_VOLT_ERR_INST_ID__eq__u8_)                            \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_DEV_ON_STS_ERR_INST_ID__eq__u8_)                             \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_UNIT_RST_STS_ERR_INST_ID__eq__u8_)                           \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_BRD_TEMP_ERR_INST_ID__eq__u8_)                                \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_UNIT_PRPLT_ERR_INST_ID__eq__u8_)                                \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_UREG_VOLT_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_CALIB_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_HEAT_ERR_CODE_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_HEAT_DUTY_CYCLE_ERR_INST_ID__eq__u8_)                       \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_HEAT_TEMP_ERR_INST_ID__eq__u8_)                             \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_HEAT_TRG_TEMP_ERR_INST_ID__eq__u8_)                        \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_EMIT_VOLT_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_EMIT_CUR_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_EMIT_INP_CUR_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_EXT_VOLT_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_EXT_CUR_ERR_INST_ID__eq__u8_)                                  \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_EXT_INP_CUR_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_NEUTLR_VOLT_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_NEUTLR_CUR_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_NEUTLR_INP_CUR_ERR_INST_ID__eq__u8_)                         \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_NEUTLR_RETN_CUR_ERR_INST_ID__eq__u8_)                           \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_MJR_VERS_NO_ERR_INST_ID__eq__u8_)                               \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_MNR_VERS_NO_ERR_INST_ID__eq__u8_)                                 \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_PATCH_VERS_NO_ERR_INST_ID__eq__u8_)                            \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_BRD_ERR_CDE_ERR_INST_ID__eq__u8_)                       \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_ERR_COUNT_ERR_INST_ID__eq__u8_)                        \
		AHW_LOG_NAME(AHW_AL_THRUSTER_GET_STRT_TIME_ERR_INST_ID__eq__u8_)                          \
		AHW_LOG_NAME(AHW_AL_UART_CONV_PORT_INIT_ERR_INST_ID__eq__u8_)                           \
		AHW_LOG_NAME(AHW_AL_UART_CONV_TRANSMIT_ERR_INST_ID__eq__u8_)                              \
		AHW_LOG_NAME(AHW_AL_UART_CONV_RECEIVE_ERR_INST_ID__eq__u8_)                              \
        AHW_LOG_NAME(AHW_AL_DT_DEINIT_SCS)                                                       \
		AHW_LOG_NAME(AHW_AL_DT_DEINIT_ERR)                                                        \
		AHW_LOG_NAME(AHW_AL_DT_INIT_SCS)                                                          \
		AHW_LOG_NAME(AHW_AL_DT_INIT_ERR)                                                          \
        AHW_LOG_NAME(AHW_AL_HSC_INIT_SCS)                                                          \
		AHW_LOG_NAME(AHW_AL_HSC_INIT_ERR)                                                         \
		AHW_LOG_NAME(AHW_AL_HSC_DEINIT_SCS)                                                          \
		AHW_LOG_NAME(AHW_AL_HSC_DEINIT_ERR)                                                         \
		AHW_LOG_NAME(AHW_AL_PSM_INIT_SCS)                                                          \
		AHW_LOG_NAME(AHW_AL_PSM_INIT_ERR)                                                           \
		AHW_LOG_NAME(AHW_AL_PSM_DEINIT_SCS)                                                         \
		AHW_LOG_NAME(AHW_AL_PSM_DEINIT_ERR)                                                         \
		AHW_LOG_NAME(AHW_AL_UART_CONV_INIT_SCS)                                                      \
		AHW_LOG_NAME(AHW_AL_UART_CONV_INIT_ERR)                                                      \
		AHW_LOG_NAME(AHW_AL_TS_INIT_SCS)                                                           \
		AHW_LOG_NAME(AHW_AL_TS_INIT_ERR)                                                             \
		AHW_LOG_NAME(AHW_AL_TS_DEINIT_SCS)                                                           \
		AHW_LOG_NAME(AHW_AL_TS_DEINIT_ERR)                                                            \
		AHW_LOG_NAME(AHW_AL_THRUSTER_INIT_SCS)                                                         \
		AHW_LOG_NAME(AHW_AL_THRUSTER_INIT_ERR)                                                      \
		AHW_LOG_NAME(AHW_AL_VSM_INIT_SCS)                                                           \
		AHW_LOG_NAME(AHW_AL_VSM_INIT_ERR)                                                            \
        AHW_LOG_NAME(AHW_AL_GPIO_EXP_INIT_SCS)                                                      \
		AHW_LOG_NAME(AHW_AL_GPIO_EXP_INIT_ERR)                                                       \
        AHW_LOG_NAME(AHW_AL_EXT_MEM_INIT_SCS)                                                         \
		AHW_LOG_NAME(AHW_AL_EXT_MEM_INIT_ERR)                                                    \
        AHW_LOG_NAME(AHW_LOG_MAX)

#define AHW_GENERATE_ENUM(ENUM) ENUM,
#define AHW_GENERATE_STRING(STRING) #STRING,

typedef enum log_ahw_e_
{
	AHW_FOREACH_LOG(AHW_GENERATE_ENUM)
}log_ahw_e;



#endif /* _LOG_AHW_H_ */
